## gst-plugins-good1.0 1.14.0

=== debian/changelog ===
gst-plugins-good1.0 (1.14.0-1ubuntu1) bionic; urgency=medium

  * Boundary rebuild for bionic

 -- Laci Tele <laci@boundarydevices.com>  Fri, 20 Jul 2018 07:55:58 -0800

gst-plugins-good1.0 (1.14.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 10:01:27 +0200

gst-plugins-good1.0 (1.13.91-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Thu, 15 Mar 2018 13:15:49 +0000

gst-plugins-good1.0 (1.13.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 11:04:44 +0200

gst-plugins-good1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 04 Mar 2018 11:41:59 +0200

gst-plugins-good1.0 (1.13.1-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * debian/patches/import-camerabin: Refresh from -bad.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 01 Mar 2018 14:55:45 +0000

gst-plugins-good1.0 (1.13.1-1) experimental; urgency=medium

  * New upstream development release.
  * debian/build-deps.in,
    debian/control.in:
    + Build-depend on GTK and Qt for the QML and GTK plugins and put them into
      their own binary package.
  * debian/build-deps.in,
    debian/control.in,
    debian/gstreamer-plugins-good.install:
    + Build-depend on LAME, mpg123 and twolame and add Conflicts/Replaces as
      needed for gst-plugins-ugly from where the plugins moved.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 17 Feb 2018 21:00:50 +0200

gst-plugins-good1.0 (1.12.4-1ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest vpx

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Feb 2018 08:45:02 -0500

gst-plugins-good1.0 (1.12.4-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Mon, 11 Dec 2017 14:59:03 +0000

gst-plugins-good1.0 (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:42:40 +0200
