## gst-plugins-good1.0 1.14.1

=== debian/changelog ===
gst-plugins-good1.0 (1.14.1-1ubuntu1~ubuntu18.04.1) bionic; urgency=medium

  * Boundary rebuild for bionic

 -- Laci Tele <laci@boundarydevices.com>  Fri, 13 Jul 2018 10:35:22 -0700

gst-plugins-good1.0 (1.14.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable (LP: #1772898); remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * Revert 1.14.0-{2,3,4}. We've worked around this issue in -base instead, so
    we don't need to disable Qt5 here.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 23 May 2018 11:49:22 +0100

gst-plugins-good1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 10:27:37 +0300

gst-plugins-good1.0 (1.14.0-4) unstable; urgency=medium

  * debian/control.in:
    + Let the -dbg package only depend on the qt5 package on non-armel/hf.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Apr 2018 10:26:46 +0300

gst-plugins-good1.0 (1.14.0-3) unstable; urgency=medium

  * debian/rules:
    + Use DEB_HOST_ARCH instead of DEB_HOST_ARCH_CPU.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Apr 2018 14:54:20 +0300

gst-plugins-good1.0 (1.14.0-2) unstable; urgency=medium

  * debian/control.in,
    debian/rules:
    + Disable Qt5 plugin on armhf/armel due to mesa headers being broken so
      that this package can move to testing (see #894076).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Apr 2018 12:12:43 +0300
