=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,13 @@
 
 DEB_DH_AUTORECONF_ARGS += --as-needed
 
+export CC=/usr/lib/distcc/bin/gcc-7
+export CXX=/usr/lib/distcc/bin/g++-7
+
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 DEB_MAKE_CHECK_TARGET = check || true
-
-export CC=/usr/lib/distcc/bin/gcc-7
-export CXX=/usr/lib/distcc/bin/g++-7
 
 # this is for compatibility with dpkg-dev < 1.13.5, see
 # <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
@@ -52,7 +52,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.0)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.1)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -176,7 +176,7 @@
 	--enable-debug \
 	--with-package-name=$(GST_PACKAGE_NAME) \
 	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
-	--disable-gtk-doc \
+	--enable-gtk-doc \
 	--enable-experimental \
 	--with-default-audiosink=$(DEFAULT_AUDIOSINK) \
 	--with-default-audiosrc=$(DEFAULT_AUDIOSRC) \
@@ -186,9 +186,7 @@
 	$(CONFIG_ARGS)
 
 ifeq ($(USE_XWAYLAND),)
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-gtk3 --disable-x
-else
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk3 --enable-x
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-gtk3
 endif
 
 clean::
