## gst-plugins-good1.0 1.14.4

=== debian/changelog ===
gst-plugins-good1.0 (1.14.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Fri, 05 Oct 2018 12:28:29 +0100

gst-plugins-good1.0 (1.14.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Oct 2018 13:55:34 +0300

gst-plugins-good1.0 (1.14.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 10:00:19 +0300

gst-plugins-good1.0 (1.14.2-1ubuntu3) cosmic; urgency=medium

  * Add some information on previous patch about the new upstream issue:
    https://bugzilla.gnome.org/show_bug.cgi?id=796879

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Jul 2018 08:41:04 +0200

gst-plugins-good1.0 (1.14.2-1ubuntu2) cosmic; urgency=medium

  * debian/patches/b03df1abf828514b0966db058388bf974ed0cf4f.patch:
    revert upstream b03df1abf828514b0966db058388bf974ed0cf4f making
    the package FTBFS on arm* / Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Jul 2018 21:34:51 +0200

gst-plugins-good1.0 (1.14.2-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jul 2018 10:40:33 +0200

gst-plugins-good1.0 (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:14:59 +0300
