=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 DEB_BUILD_PARALLEL = 1
 
 DEB_DH_AUTORECONF_ARGS += --as-needed
-
-export CC=/usr/lib/distcc/bin/gcc-7
-export CXX=/usr/lib/distcc/bin/g++-7
 
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
@@ -52,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.1)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.4)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -65,7 +62,7 @@
 gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [linux-any]
 
 # debug package
-DEB_DH_STRIP_ARGS += --no-automatic-dbgsym
+DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-good-dbg
 
 # disable all CPU specific optimizations in commands launched by this Makefile
 # using liboil; this is to work around liboil related build failures which
@@ -112,17 +109,17 @@
 endif
 
 # Let's decide the package name and url depending on the distribution
-VENDOR = "$(shell dpkg-vendor --query vendor)"
+DISTRO = "$(shell dpkg-vendor --query vendor)"
 
 GST_PACKAGE_NAME := "GStreamer Good Plugins (unknown Debian derivative)"
 GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-good$(gst_abi)"
 
-ifeq ($(VENDOR),"Debian")
+ifeq ($(DISTRO),"Debian")
 GST_PACKAGE_NAME := "GStreamer Good Plugins (Debian)"
 GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-good$(gst_abi)"
 endif
 
-ifeq ($(VENDOR),"Ubuntu")
+ifeq ($(DISTRO),"Ubuntu")
 GST_PACKAGE_NAME := "GStreamer Good Plugins (Ubuntu)"
 GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-good$(gst_abi)"
 endif
@@ -185,10 +182,6 @@
 	--with-default-visualizer=$(DEFAULT_VISUALIZER) \
 	$(CONFIG_ARGS)
 
-ifeq ($(USE_XWAYLAND),)
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-gtk3
-endif
-
 clean::
 	# get rid of the sym links
 	for i in $(PLUGINS); do \
