## gst-plugins-good1.0 1.14.4.2+dde

=== debian/changelog ===
gst-plugins-good1.0 (1.14.4.2+dde) unstable; urgency=medium

  * update

 -- Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>  Thu, 27 May 2021 15:11:01 +0800

gst-plugins-good1.0 (1.14.4.1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2021-3497

 -- zouya <zouya@uniontech.com>  Mon, 21 May 2021 11:36:42 +0100
