=== debian/changelog ===
gst-plugins-good1.0 (1.14.5-0ubuntu1~18.04.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2022-1920.patch: avoid integer overflow
      resulting in heap corruption in WavPack header handling code
      in gst/matroska/matroska-demux.c.
    - CVE-2022-1920
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2022-1921.patch: fix integer overflow resulting
      in heap corruption in DIB buffer inversion code in
      gst/avi/gstavidemux.c.
    - CVE-2022-1921
  * SECURITY UPDATE: Integer overflows
    - debian/patches/CVE-2022-1922_1923_1924_1925-and-2122.patch: fix
      integer overflows in zblib/bz2/etc decompression code in
      gst/matroska/matroska-read-commnon.c.
    - debian/patches/fix_integer_overflows_in_zlib.patch: fix in
      gst/isomp4/qtdemux.c.
    - CVE-2022-1922
    - CVE-2022-1923
    - CVE-2022-1924
    - CVE-2022-1925
    - CVE-2022-2122

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 26 Jul 2022 07:27:13 -0300

gst-plugins-good1.0 (1.14.5-0ubuntu1~18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Use after free
    - debian/patches/CVE-2021-3497.patch: Fix extraction of multichannel WavPack
      in gst/matroska/matroska-demux.c, gst/matroska/matroska-ids.h.
    - CVE-2021-3497
  * SECURITY UPDATE: Heap corruption
    - debian/patches/CVE-2021-3498.patch: Initialize track context out parameter to NULL
      before parsing in gst/matroska/matroska-demux.c.
    - CVE-2021-3498

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 15 Apr 2021 13:08:04 -0300

gst-plugins-good1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1832123)
  * Updated references from 1.14.4 to 1.14.5

 -- Iain Lane <iain.lane@canonical.com>  Wed, 03 Jul 2019 17:54:41 +0100

gst-plugins-good1.0 (1.14.4-1ubuntu1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1829366)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 May 2019 13:18:09 +0100
